Bug 802128 - low resolution
low resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 10:41 EDT by Michael
Modified: 2013-02-13 03:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:16:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages (328.16 KB, application/octet-stream)
2012-03-11 10:41 EDT, Michael
no flags Details
xorg (83.10 KB, text/plain)
2012-03-11 10:44 EDT, Michael
no flags Details
glxinfo (23.83 KB, text/plain)
2012-03-11 17:21 EDT, Michael
no flags Details

  None (edit)
Description Michael 2012-03-11 10:41:12 EDT
Created attachment 569181 [details]
messages

Description of problem:
I can`t change the resolution at my new laptop hp envy 14 2050se. I have only 1024 x 768 pixels resolution but laptop have 1366 x 768 pixels

Version-Release number of selected component (if applicable):
fedora with last updates

How reproducible:
always

Steps to Reproduce:
1. install fresh fedora
2. go to "system parameters" - "screen" - and see only settings 1024 x 768 pixels and 800 x 600 pixels
3.
  
Actual results:
1024 x 768 pixels maximum resolution capable

Expected results:
switch to 1366 x 768 pixels

Additional info:
http://www.smolts.org/client/show/pub_46fcca75-87ee-402a-8093-8bd6b005f1d3
Comment 1 Michael 2012-03-11 10:44:35 EDT
Created attachment 569182 [details]
xorg
Comment 2 Michael 2012-03-11 10:46:43 EDT
[midnighter@localhost log]$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: ATI Technologies Inc NI Whistler [AMD Radeon HD 6600M Series]
Comment 3 Michael 2012-03-11 17:21:41 EDT
Created attachment 569219 [details]
glxinfo
Comment 4 Michael 2012-03-12 03:00:05 EDT
more info:
grub configuration has "nomodeset" parameter. Without this parameter I have got a black screen,
Comment 5 Adam Jackson 2012-03-12 11:00:25 EDT
(In reply to comment #4)
> more info:
> grub configuration has "nomodeset" parameter. Without this parameter I have got
> a black screen,

Well that's your real problem.  nomodeset gives you the vesa driver, which can't set arbitrary resolutions.

If you have two machines, boot without nomodeset but with 'drm.debug=0x4' on the kernel command line, then ssh into the broken machine and run dmesg.  That output should show us the setup failure, I hope.

If you can't do that, then I think you have to try explicitly blacklisting one or the other of the radeon or i915 kernel drivers to figure out which one is causing the black screen.
Comment 6 Michael 2012-03-12 17:46:26 EDT
I run ssh server on broken machine and try to connect from another. I could not to connect. Next I delete previous the /var/log/message file on broken machine, reboot machine and remove 'nomodeset' parameter. Then I switch off system by power button after see the black screen during some time and connect hard disk of broken machine to another machine. I could see any the /var/log/messages file. I thing broken machine hangs before the ssh server starts.

blacklist i965 or radeon no difference. I have got black screen in every case with removed 'nomodeset' parameter
Comment 7 Michael 2012-03-13 11:37:55 EDT
mistake: "I could not see the /var/log/messages file"
Comment 8 Michael 2012-03-14 05:53:27 EDT
I understand my problem. I have brightness set to zero when I booting. I login to KDE with black screen and see the kde workspace and get good resolution 1366 x 768 pixels. Could you please tell me how to set up more brightness with boot system?
Comment 9 Fedora End Of Life 2013-01-16 05:02:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 03:16:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.